<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Temas</title>
    <script type="module">
      import "../src/ThemeElement.js";
    </script>
    <style>
      html {
        --theme-prymary: green;
        --theme-secondary: aliceblue;
        --theme-warning: red;
        --theme-font-family: Roboto;
      }
      theme-element {
        --my-element-text-color: var(--theme-prymary);
        --my-element-background-color: var(--theme-secondary);
        --my-element-font-family: var(--theme-font-family);
      }
      .warning {
        --my-element-text-color: var(--theme-warning);
      }
    </style>
  </head>
  <body>
    <header>
      <a href="index.html"></a>
    </header>
    <section>
      <h2>Uso y configuración de theme</h2>
      <theme-element></theme-element>
      <theme-element hidden></theme-element>
      <theme-element class="warning"></theme-element>
    </section>
  </body>
</html>
